Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
DistributedNode Class Reference
Inheritance diagram for DistributedNode:

## Public Member Functions
| __init__ (self, cr)
| __cmp__ (self, other)
| b_setParent (self, parentToken)
| setParent ###
| d_setH (self, h)
| d_setHpr (self, h, p, r)
| d_setP (self, p)
| d_setParent (self, parentToken)
| d_setPos (self, x, y, z)
| d_setPosHpr (self, x, y, z, h, p, r)
| d_setR (self, r)
| d_setX (self, x)
| set pos and hpr functions #######
| d_setXY (self, x, y)
| d_setXYH (self, x, y, h)
| d_setXYZH (self, x, y, z, h)
| d_setXZ (self, x, z)
| d_setY (self, y)
| d_setZ (self, z)
| delete (self)
| disable (self)
| do_setParent (self, parentToken)
| generate (self)
| setLocation (self, parentId, zoneId, teleport=0)
| setParent (self, parentToken)
| setParentStr (self, parentTokenStr)
| setXY (self, x, y)
| setXYH (self, x, y, h)
| setXYZH (self, x, y, z, h)
| setXZ (self, x, z)
Public Member Functions inherited from DistributedObject
| __init__ (self, cr)
| addInterest (self, zoneId, note="", event=None)
| announceGenerate (self)
| b_setLocation (self, parentId, zoneId)
| d_setLocation (self, parentId, zoneId)
| deleteOrDelay (self)
| disableAndAnnounce (self)
| disableAnnounceAndDelete (self)
| doCallbackContext (self, context, args)
| doneBarrier (self, name=None)
| execCommand (self, string, mwMgrId, avId, zoneId)
| flushCachedData (self, name)
| generateInit (self)
| getAutoInterests (self)
| getBarrierData (self)
| getCacheable (self)
| getCachedData (self, name)
| getCallback (self, context)
| getCallbackArgs (self, context)
| getCallbackContext (self, callback, extraArgs=[])
| getCurrentContexts (self)
| getDelayDeleteCount (self)
| getDelayDeleteEvent (self)
| getDisableEvent (self)
| getDoId (self)
| getLocation (self)
| getNeverDisable (self)
| getParentObj (self)
| hasCachedData (self, name)
| isDisabled (self)
| isGenerated (self)
| isGridParent (self)
| isLocal (self)
| postGenerateMessage (self)
| removeInterest (self, handle, event=None)
| sendDeleteMsg (self)
| sendDisableMsg (self)
| sendUpdate (self, fieldName, args=[], sendToId=None)
| setBarrierData (self, data)
| setCacheable (self, bool)
| setCachedData (self, name, data)
| setNeverDisable (self, bool)
| status (self, indent=0)
| taskName (self, taskString)
| uniqueName (self, idString)
| updateAllRequiredFields (self, dclass, di)
| updateRequiredFields (self, dclass, di)
| updateRequiredOtherFields (self, dclass, di)
Public Member Functions inherited from DistributedObjectBase
| __init__ (self, cr)
| handleChildArrive (self, childObj, zoneId)
| handleChildArriveZone (self, childObj, zoneId)
| handleChildLeave (self, childObj, zoneId)
| handleChildLeaveZone (self, childObj, zoneId)
| handleQueryObjectChildrenLocalDone (self, context)
| hasParentingRules (self)
Public Member Functions inherited from DirectObject
| __init__ (self)
| accept (self, event, method, extraArgs=[])
| acceptOnce (self, event, method, extraArgs=[])
| addTask (self, *args, **kwargs)
| detectLeaks (self)
| doMethodLater (self, *args, **kwargs)
| getAllAccepting (self)
| ignore (self, event)
| ignoreAll (self)
| isAccepting (self, event)
| isIgnoring (self, event)
| removeAllTasks (self)
| removeTask (self, taskOrName)

## Public Attributes
int | DistributedNode_deleted = 1
int | DistributedNode_initialized = 1
int | gotStringParentToken = 0
| gridParent = None
| this
Public Attributes inherited from DistributedObject
| activeState = ESNew
| autoInterests = autoInterests
| cacheable = ESGenerated:
| dclass = None
| destroyDoStackTrace
int | DistributedObject_deleted = 1
int | DistributedObject_initialized = 1
Public Attributes inherited from DistributedObjectBase
| cr = cr
| doId
int | parentId = None
| zoneId = None

## Additional Inherited Members
Static Public Attributes inherited from DistributedObject
int | neverDisable = 0
Static Public Attributes inherited from DistributedObjectBase
| notify = directNotify.newCategory("DistributedObjectBase")
Static Public Attributes inherited from DirectObject
| accept_once = acceptOnce
| add_task = addTask
| detect_leaks = detectLeaks
| do_method_later = doMethodLater
| get_all_accepting = getAllAccepting
| ignore_all = ignoreAll
| is_accepting = isAccepting
| is_ignoring = isIgnoring
| remove_all_tasks = removeAllTasks
| remove_task = removeTask
Protected Member Functions inherited from DistributedObject
| _deactivateDO (self)
| _destroyDO (self)
| _retrieveCachedData (self)
Protected Member Functions inherited from DirectObject
| _addTask (self, task)
| _clearTask (self, task)
Protected Attributes inherited from DistributedObject
| _cachedData = self.cr.doDataCache.popCachedData(self.doId)
int | _delayDeleted = 0
bool | _delayDeleteForceAllow = False
dict | _token2delayDeleteName = {}
Protected Attributes inherited from DirectObject
dict | _taskList = {}

## Detailed Description

    Distributed Node class:

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | cr )

## Member Function Documentation

## ◆ __cmp__()

__cmp__ | ( |  | self,
|  |  | other )

## ◆ b_setParent()

b_setParent | ( |  | self,
|  |  | parentToken )

setParent ###

## ◆ d_setH()

d_setH | ( |  | self,
|  |  | h )

## ◆ d_setHpr()

d_setHpr | ( |  | self,
|  |  | h,
|  |  | p,
|  |  | r )

## ◆ d_setP()

d_setP | ( |  | self,
|  |  | p )

## ◆ d_setParent()

d_setParent | ( |  | self,
|  |  | parentToken )

Reimplemented in DistributedSmoothNode.

## ◆ d_setPos()

d_setPos | ( |  | self,
|  |  | x,
|  |  | y,
|  |  | z )

## ◆ d_setPosHpr()

d_setPosHpr | ( |  | self,
|  |  | x,
|  |  | y,
|  |  | z,
|  |  | h,
|  |  | p,
|  |  | r )

## ◆ d_setR()

d_setR | ( |  | self,
|  |  | r )

## ◆ d_setX()

d_setX | ( |  | self,
|  |  | x )

set pos and hpr functions #######

## ◆ d_setXY()

d_setXY | ( |  | self,
|  |  | x,
|  |  | y )

## ◆ d_setXYH()

d_setXYH | ( |  | self,
|  |  | x,
|  |  | y,
|  |  | h )

## ◆ d_setXYZH()

d_setXYZH | ( |  | self,
|  |  | x,
|  |  | y,
|  |  | z,
|  |  | h )

## ◆ d_setXZ()

d_setXZ | ( |  | self,
|  |  | x,
|  |  | z )

## ◆ d_setY()

d_setY | ( |  | self,
|  |  | y )

## ◆ d_setZ()

d_setZ | ( |  | self,
|  |  | z )

## ◆ delete()

delete | ( |  | self | ) |

    Inheritors should redefine this to take appropriate action on delete

Reimplemented from DistributedObject.

Reimplemented in DistributedActor, DistributedCartesianGrid, and DistributedSmoothNode.

## ◆ disable()

disable | ( |  | self | ) |

    Inheritors should redefine this to take appropriate action on disable

Reimplemented from DistributedObject.

Reimplemented in DistributedActor, DistributedCartesianGrid, and DistributedSmoothNode.

## ◆ do_setParent()

do_setParent | ( |  | self,
|  |  | parentToken )

    do_setParent(self, int parentToken)

    This function is defined simply to allow a derived class (like
    DistributedAvatar) to override the behavior of setParent if
    desired.

## ◆ generate()

generate | ( |  | self | ) |

    Inheritors should redefine this to take appropriate action on generate

Reimplemented from DistributedObject.

Reimplemented in DistributedCartesianGrid, and DistributedSmoothNode.

## ◆ setLocation()

setLocation | ( |  | self,
|  |  | parentId,
|  |  | zoneId,
|  |  | teleport = 0 )

Reimplemented from DistributedObject.

## ◆ setParent()

setParent | ( |  | self,
|  |  | parentToken )

## ◆ setParentStr()

setParentStr | ( |  | self,
|  |  | parentTokenStr )

## ◆ setXY()

setXY | ( |  | self,
|  |  | x,
|  |  | y )

## ◆ setXYH()

setXYH | ( |  | self,
|  |  | x,
|  |  | y,
|  |  | h )

## ◆ setXYZH()

setXYZH | ( |  | self,
|  |  | x,
|  |  | y,
|  |  | z,
|  |  | h )

## ◆ setXZ()

setXZ | ( |  | self,
|  |  | x,
|  |  | z )

## Member Data Documentation

## ◆ DistributedNode_deleted

int DistributedNode_deleted = 1

## ◆ DistributedNode_initialized

int DistributedNode_initialized = 1

## ◆ gotStringParentToken

int gotStringParentToken = 0

## ◆ gridParent

gridParent = None

## ◆ this

this